package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * 生产过程上下文对象-数据变量采集信息
 */
@Data
public class MesEquipLogCollectContext {

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("是否采集到数据")
    private Boolean isCollectValue = false;

    @ApiParam("是否常变值")
    private Boolean needNewValue = false;

    @ApiParam("数据变量接口逻辑信息集合")
    private List<MesEquipVariableCfgCollectContext> equipVariableCfgCollectContextList;

    public MesEquipLogCollectContext() {}

    public MesEquipLogCollectContext(String organizeCode) {
        this.organizeCode = organizeCode;
    }

    public MesEquipLogCollectContext isCollectValue() {
        this.isCollectValue = true;
        return this;
    }

    public MesEquipLogCollectContext needNewValue() {
        this.needNewValue = true;
        return this;
    }

    public MesEquipLogCollectContext equipVariableCfgCollectContextList(List<MesEquipVariableCfgCollectContext> equipVariableCfgCollectContextList) {
        this.equipVariableCfgCollectContextList = equipVariableCfgCollectContextList;
        return this;
    }
}
